Monthly Archives: noviembre 2008

Pasando de Kubuntu e instalando Ubuntu 8.10 Intrepid Ibex

0
Filed under Ubuntu 8.10 AMD64

Después de bastante tiempo de calma, y de probar el LiveCD de Kubuntu 8.10 Intrepid Ibex he decidido seguir con Ubuntu y actualizarme a su versión 8.10, aunque con mucho pesar. Kubuntu 8.10 usa KDE4.1, y aunque ha mejorado bastante, sus aplicaciones aún necesitan mejorar y añadir funcionalidades que KDE3 tenía. En mi caso, me refiero al gestor de conexiones de red (que sigue dando problemas al intoducir direcciones IP manualmente, algo gravísimo, puesto que es necesario para tener conexión a Internet) y al visor de imágenes Gwenview. ¡Gwenview no permite una vista en detalle con una ventana de previsualización! Es más: ¡¡los archivos no se pueden renombrar fácilmente!! (no sirve de nada pulsar F2. La única forma de renombrar un archivo es en la ventana emergente de Propiedades). Es algo básico que utilizo mucho. Si en unos minutos he detectado estos problemas, he de suponer que no serán los únicos que encuentre en esta versión de Kubuntu.

Por lo tanto, por ahora me quedo en Ubuntu. Esta vez he decidido actualizar el S.O. desde Synaptic en lugar de reinstalarlo (con /home/ en una partición propia, es algo muy sencillo). Se actualiza sin problemas.

Actualizando repositorios

Durante el proceso de actualización se desactivan los Orígenes del software (repositorios) de Synaptic y se añaden los nuevos repositorios de Intrepid, por lo que después de la actualización hay que ir a Synaptic y activar los necesarios en Configuración > Repositorios, o añadir las nuevas versiones para Intrepid:

  • Activo el repositorio de WineHQ (en Wine HQ aún no mencionan un repositorio para Intrepid)
  • Añado el de Medibuntu (y su clave GPG) vía consola, como se dice en su web:
    $ sudo wget http://www.medibuntu.org/sources.list.d/intrepid.list --output-document=/etc/apt/sources.list.d/medibuntu.list
    $ sudo apt-get update && sudo apt-get install medibuntu-keyring && sudo apt-get update
  • Añado el repositorio fr.archive.ubuntu.com/ubuntu porque la versión de Gwenview que tenía instalada se ha actualizado a la que utiliza KDE4, y no me gusta porque le faltan funcinalidades básicas como comenté antes. Por ello primero la desinstalo con Synaptic y la sustituyo por la versión de este archivo, como se comenta si hago clic para descargar el paquete en esta página de packages.ubuntu.com.

    En Synaptic: Configuración > Repositorios: pestaña Añadir… añado los siguientes:

    deb http://fr.archive.ubuntu.com/ubuntu hardy main
    deb http://security.ubuntu.com/ubuntu hardy-security main universe

    (he escogido el mirror francés, pero los demás también sirven).

Instalando una versión anterior de Gwenview

Una vez activado el repositorio de Hardy, busco el paquete gwenview en Synaptic y selecciono el menú Paquete > Forzar versión…. Aparecerán dos versiones, la de Intrepid que usa KDE4 (4:4.1.2-0ubuntu3 (intrepid)) y la anterior de Hardy que utiliza KDE3 (1.4.2-4 (hardy)). Selecciono la de Hardy y pulso en Forzar versión para instalarla. Se instalarán las dependencias necesarias. Bloqueo gwenview para evitar que se actualize automáticamente (Paquete > Bloquear versión).

Ahora se puede ejecutar la versión para KDE3 de Gwenview, pero si se pulsa sobre el menú Complementos el programa se cerrará (si se lanza desde la consola se verá qué es lo que ha causado el fallo). Hay que instalar la versión correcta de los complementos KIPI. Desinstalo el paquete kipi-plugins, fuerzo la instalación de la versión 0.1.5-1 (hardy), y la bloqueo. En este caso, al haber múltiples dependencias, una desactualización (downgrade) no habría resuelto el problema.

Sigue colgándose debido a Exiv. Sustituyo exiv2 por la versión para Hardy (0.16-3ubuntu1.1 (hardy)). La bloqueo para que no se actualice. Y finalmente instalo la versión para Hardy de libkexiv2-3 (0.1.6-1ubuntu3 (hardy)).

He tenido un descontrol con lo anterior, y he acabado instalando aplicaciones de KDE que no deseaba tener (ahora hay más iconos en el menú de inicio), pero finalmente tengo Gwenview para KDE3 con los complementos KIPI funcionando a la perfección. Al ser la versión para KDE4 tan diferente de las versiones previas de Gwenview, creo que deberían haberlas considerado dos aplicaciones diferentes en los repositorios. Así me habría ahorrado muchos quebraderos de cabeza :(